import { useMemo } from 'react'
import {} from '../graph-common/node-types'

interface NodeParams {
  name: string
  x: number
  y: number
}

const useCreateNode = ({ name, x, y }: NodeParams) => {
  const id = `${Date.now()}`

  return {
    id,
    name,
    inPorts: [
      {
        tableName: 'germany_credit_data',
        sequence: 1,
        description: '输入',
        id: id + '_in',
      }
    ],
    outPorts: [
      {
        tableName: 'germany_credit_data',
        sequence: 1,
        description: '输出',
        id: id + '_out',
      }
    ],
    positionX: x,
    positionY: y,
    category: 'source',
    groupId: 0,
  }
}

export default useCreateNode
